<!-- Lugar donde se insertará el componente de detalle -->
<!-- Property binding -->
<app-professor-detail [professor]="selectedProfessor"></app-professor-detail>
<table class="table">
  <thead class="thead-dark">
    <tr>
      <th scope="col">#</th>
      <th scope="col">Firstname</th>
      <th scope="col">Lastname</th>
      <th scope="col">Email</th>
      <th scope="col"></th>
    </tr>
  </thead>
  <tbody>
     <!-- Data binding para recorrer lista -->
    <tr *ngFor="let professor of professors"
    [class.selected]="professor === selectedProfessor" (click)="onSelect(professor)">
      <!-- Interpolación de atributos -->
      <th scope="row">{{professor.id}}</th>
      <td>{{ professor.firstname}}</td>
      <td>{{ professor.lastname}}</td>
      <td>{{ professor.email}}</td>
      <td>
           <!-- Event binding para click -->
           <a class="btn btn-success" ><mat-icon> visibility</mat-icon></a>

           <!-- Event binding para click -->
           <a class="btn btn-danger" (click)="delete(professor)"><mat-icon> delete</mat-icon></a>
      </td>
    </tr>
  </tbody>
</table>
